# Constant Field Values

## Contents

- com.opensymphony.*

## com.opensymphony.*

com.opensymphony.module.sitemesh.Factory
Modifier and Type
Constant Field
Value
`private static final String`
`SITEMESH_FACTORY`
`"sitemesh.factory"`
com.opensymphony.module.sitemesh.RequestConstants
Modifier and Type
Constant Field
Value
`public static final String`
`DECORATOR`
`"__sitemesh__decorator"`
`public static final String`
`PAGE`
`"__sitemesh__page"`
`public static final String`
`ROBOT`
`"__sitemesh__robot"`

com.opensymphony.module.sitemesh.factory.DefaultFactory
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_CONFIG_FILENAME`
`"/WEB-INF/sitemesh.xml"`

com.opensymphony.module.sitemesh.filter.PageRequestWrapper
Modifier and Type
Constant Field
Value
`private static final boolean`
`SUPPRESS_IF_MODIFIED_HEADER`
`true`

com.opensymphony.module.sitemesh.html.Tag
Modifier and Type
Constant Field
Value
`public static final int`
`CLOSE`
`2`
`public static final int`
`CLOSE_MAGIC_COMMENT`
`5`
`public static final int`
`EMPTY`
`3`
`public static final int`
`OPEN`
`1`
`public static final int`
`OPEN_MAGIC_COMMENT`
`4`

com.opensymphony.module.sitemesh.html.tokenizer.Parser
Modifier and Type
Constant Field
Value
`public static final short`
`EQUALS`
`259`
`public static final short`
`GT`
`265`
`public static final short`
`LT`
`264`
`public static final short`
`LT_CLOSE_MAGIC_COMMENT`
`267`
`public static final short`
`LT_OPEN_MAGIC_COMMENT`
`266`
`public static final short`
`QUOTE`
`260`
`public static final short`
`QUOTED`
`263`
`public static final short`
`SLASH`
`257`
`public static final short`
`TEXT`
`262`
`public static final short`
`WHITESPACE`
`258`
`public static final short`
`WORD`
`261`

com.opensymphony.module.sitemesh.parser.FastPageParser
Modifier and Type
Constant Field
Value
`private static final int`
`BODY_HASH`
`3029410`
`private static final int`
`CONTENT_HASH`
`951530617`
`private static final int`
`FRAME_HASH`
`97692013`
`private static final int`
`FRAMESET_HASH`
`-1644953643`
`private static final int`
`HEAD_HASH`
`3198432`
`private static final int`
`HTML_HASH`
`3213227`
`private static final int`
`META_HASH`
`3347973`
`private static final int`
`PARAMETER_HASH`
`1954460585`
`private static final int`
`SLASH_BODY_HASH`
`46434897`
`private static final int`
`SLASH_HEAD_HASH`
`46603919`
`private static final int`
`SLASH_HTML_HASH`
`46618714`
`private static final int`
`SLASH_TITLE_HASH`
`1455941513`
`private static final int`
`SLASH_XML_HASH`
`1518984`
`private static final int`
`SLASH_XMP_HASH`
`1518988`
`private static final int`
`STATE_CDATA`
`-6`
`private static final int`
`STATE_COMMENT`
`-4`
`private static final int`
`STATE_DOCTYPE`
`-8`
`private static final int`
`STATE_EOF`
`-1`
`private static final int`
`STATE_SCRIPT`
`-7`
`private static final int`
`STATE_TAG`
`-3`
`private static final int`
`STATE_TAG_QUOTE`
`-5`
`private static final int`
`STATE_TEXT`
`-2`
`private static final int`
`TAG_STATE_BODY`
`-4`
`private static final int`
`TAG_STATE_HEAD`
`-2`
`private static final int`
`TAG_STATE_HTML`
`-1`
`private static final int`
`TAG_STATE_NONE`
`0`
`private static final int`
`TAG_STATE_TITLE`
`-3`
`private static final int`
`TAG_STATE_XML`
`-6`
`private static final int`
`TAG_STATE_XMP`
`-7`
`private static final int`
`TITLE_HASH`
`110371416`
`private static final int`
`TOKEN_CDATA`
`-5`
`private static final int`
`TOKEN_COMMENT`
`-4`
`private static final int`
`TOKEN_DOCTYPE`
`-7`
`private static final int`
`TOKEN_EMPTYTAG`
`-8`
`private static final int`
`TOKEN_EOF`
`-1`
`private static final int`
`TOKEN_NONE`
`0`
`private static final int`
`TOKEN_SCRIPT`
`-6`
`private static final int`
`TOKEN_TAG`
`-3`
`private static final int`
`TOKEN_TEXT`
`-2`
`private static final int`
`XML_HASH`
`118807`
`private static final int`
`XMP_HASH`
`118811`

com.opensymphony.module.sitemesh.util.Container
Modifier and Type
Constant Field
Value
`public static final int`
`HPAS`
`5`
`public static final int`
`JRUN`
`6`
`public static final int`
`ORION`
`3`
`public static final int`
`RESIN`
`2`
`public static final int`
`TOMCAT`
`1`
`public static final int`
`UNKNOWN`
`0`
`public static final int`
`WEBLOGIC`
`4`
`public static final int`
`WEBSPHERE`
`7`
com.opensymphony.module.sitemesh.util.FastByteArrayOutputStream
Modifier and Type
Constant Field
Value
`private static final int`
`DEFAULT_BLOCK_SIZE`
`8192`
com.opensymphony.module.sitemesh.util.OutputConverter
Modifier and Type
Constant Field
Value
`public static final String`
`WORK_AROUND_RESIN_I18N_BUG`
`"sitemesh.resin.i18n.workaround"`

com.opensymphony.sitemesh.webapp.SiteMeshFilter
Modifier and Type
Constant Field
Value
`private static final String`
`ALREADY_APPLIED_KEY`
`"com.opensymphony.sitemesh.APPLIED_ONCE"`
com.opensymphony.sitemesh.webapp.SiteMeshWebAppContext
Modifier and Type
Constant Field
Value
`private static final String`
`IS_USING_STRING_KEY`
`"com.opensymphony.sitemesh.USINGSTREAM"`

com.opensymphony.sitemesh.webapp.decorator.DispatchedDecorator
Modifier and Type
Constant Field
Value
`public static final String`
`CONTENT_KEY`
`"com.opensymphony.sitemesh.CONTENT"`
`public static final String`
`CONTEXT_KEY`
`"com.opensymphony.sitemesh.CONTEXT"`